JFritz 0.6.2 veröffentlicht

robot_rap

Aktives Mitglied
Mitglied seit
19 Okt 2004
Beiträge
2,094
Punkte für Reaktionen
2
Punkte
38
Hallo JFritz-User!

Was lange währt, wird endlich gut. So hoffen wir zumindest. Aufgrund des drängens einiger User und dem schwerwiegenden Bug des Reverselookups wird diese JFritz-Version schon jetzt veröffentlicht, obwohl noch nicht alles umgesetzt wurde, was geplant war. In letzter Zeit hatten aber alle Entwickler viel zu tun, so dass wir unseren Zeitplan leider nicht einhalten konnten.

Code:
Changelog:
- Neu: JFritz ist nur noch mit Java 1.5 kompatibel
- Neu: MonitoringPanel hinzugefügt, soll Internetverbindung und derzeit geführte Anrufe überwachen
- Neu: Suchfeld in Anrufliste umfasst nun auch die Call-By-Call-Vorwahlen
- Neu: JFritz-Fenster wird nun korrekt wiederhergestellt.
- Neu: Falls Ort per ReverseLookup nicht gefunden wird, wird anhand einer Tabelle der passende Ort zu einer Vorwahl eingetragen werden (Österreich) 
- Neu: Falls Ort per ReverseLookup nicht gefunden wird, wird anhand einer Tabelle der passende Ort zu einer Vorwahl eingetragen werden (Deutschland)
- Neu: Rückwärtssuche für die USA über www.whitepages.com, danke an Reiner Gebhardt
- Neu: Menüeintrag -> JFritz aktualisieren
- Neu: Automatisches Update von JFritz auf neue Version.
- Neu: Internationaler FreeCall 00800 (http://www.ip-phone-forum.de/showthread.php?t=111645)
- Neu: Unterstützung für die "Labor-Firmware" der FRITZ!Box 7170.
- Neu: Unterstützung für neue englische Firmware xx.04.20
- Neu: deutsche Rückwärtssuche nicht mehr über DasOertliche.de sondern über dastelefonbuch.de
- Neu: Französische Rückwärtssuche nun auch mit Firmenname
- Bugifx: Französische Rückwärtssuche funktioniert wieder
- Bugfix: örtliche Nummer, die mit 49 beginnen, werden jetzt richtig verarbeitet
- Bugfix: Callmonitor schreibt die Ortsvorwahl vor unbekannten Rufnummern nicht mehr hin
- Bugfix: Telefonnummern werden nun korrekt gespeichert
- Bugfix: Importieren von Thunderbird-Einträgen funktioniert wieder
- Bugfix: Suche nach Rufnummern im internationalen Format
- Bugfix: Jetzt werden IP-Addressen von den Boxen in der Einstellungen angezeigt. Man kann jetzt Fehlerfrei zwei Boxen im gleichen Netz haben. 
- Bugfix: Datumsfilter "aktueller-Tag" zeigt nun aktuellen Tag an.
- Bugfix: Wahlhilfe: Immer mit Ortsvorwahl wählen
WICHTIG: Macht eine Sicherungskopie von den XML-Dateien im JFritz-Ordner, bevor ihr die neue Version installiert. Ausserdem scheint JFritz 0.6.2 einige eurer Einstellungen in JFritz zu überschreiben. Kontrolliert also nach dem Update, ob noch alles richtig Eingestellt ist.

Die aktuelle Version findet ihr wie immer auf der JFritz-Homepage.

Eine Bitte: Falls ihr Fragen habt, lest euch bitte zuerst das Handbuch durch. Falls ihr dort keine Antwort finden solltet, SUCHT erst einmal nach der Antwort hier im Forum. Erst dann bitte einen eigenen Beitrag erstellen.

Um das Forum übersichtlich zu halten, bitte ich um folgende Konventionen.
- Allgemeine Kommentare bitte in diesen Thread.
- Fehler bitte als neues Thema beginnen, den Titel mit [Bug 0.6.2] beginnen!
- Wünsche bitte als neues Thema beginnen, den Titel mit [Feature Requests 0.6.2] beginnen!

Ich wünsche euch noch viel Spaß mit der Version, obwohl noch einige Bugs auf JFritz-0.6.1 nicht behoben werden konnten.

Robert
 
Zuletzt bearbeitet:

robot_rap

Aktives Mitglied
Mitglied seit
19 Okt 2004
Beiträge
2,094
Punkte für Reaktionen
2
Punkte
38
@doc456
Weiss auch nicht, wo du dich anmelden willst, aber mein Testdownload von Sourceforge läuft gerade.

Ihr müsst bedenken, dass es einige Zeit dauert, bis JFritz auf allen Sourceforge-Mirror verfügbar ist.
 

Speedfreak I

Mitglied
Mitglied seit
17 Sep 2006
Beiträge
215
Punkte für Reaktionen
0
Punkte
0
Ich hatte bis jetzt die Version 0.6.1 installiert. Dazu diese beta-Dateien (0.6.2 beta) hier aus dem Forum drüberkopiert. Kann ich die Version 0.6.2 jetzt normal installieren oder sollte ich die alte Installation erst runterschmeißen? (xml-Sicherung ist klar)
 

Harald-444

Neuer User
Mitglied seit
16 Feb 2006
Beiträge
129
Punkte für Reaktionen
0
Punkte
0
Ich habs genauso gemacht und die neue Version gerade eben einfach drüberinstalliert. Alle Daten waren noch vorhanden. Die vorsichtshalber gemachte Sicherung war nicht nötig.

Gruß Harald
 

basc

Neuer User
Mitglied seit
11 Jan 2006
Beiträge
142
Punkte für Reaktionen
0
Punkte
0
Speedfreak I schrieb:
Ich hatte bis jetzt die Version 0.6.1 installiert. Dazu diese beta-Dateien (0.6.2 beta) hier aus dem Forum drüberkopiert. Kann ich die Version 0.6.2 jetzt normal installieren oder sollte ich die alte Installation erst runterschmeißen? (xml-Sicherung ist klar)
lade dir die version für alle betriebsysteme runter, entzippe die datei und kopiere den inhalt in dein altes jfritz verzeichnis (natürlich alles überschreiben lassen)
 

helmut48

Neuer User
Mitglied seit
8 Jun 2006
Beiträge
66
Punkte für Reaktionen
0
Punkte
0
Es steht da dass das Programm nur noch mit Java 1.5 kompatibel ist ... bei mir läuft es aber mit 1.6b2 bisher problemlos ... oder kann ich nun etwas nicht nutzen??

Gruß Helmut
 

Dr.Verdi

Mitglied
Mitglied seit
31 Jan 2006
Beiträge
287
Punkte für Reaktionen
0
Punkte
0
Die Java Version hatte ich auch drauf und habe sie vorher deinstalliert.
Und simsalabim, plötzlich bemerkte ich, dass die 1.5 Version auch noch da war. Ich hatte also 2 Java Versionen gleichzeitig installiert, wenn das mal keine Probleme macht.
Habe ürigens sicherheitshalber jFritz total neu installiert und dann bloss die Daten reinkopiert.

Servus
 

basc

Neuer User
Mitglied seit
11 Jan 2006
Beiträge
142
Punkte für Reaktionen
0
Punkte
0
helmut48 schrieb:
Es steht da dass das Programm nur noch mit Java 1.5 kompatibel ist ... bei mir läuft es aber mit 1.6b2 bisher problemlos ... oder kann ich nun etwas nicht nutzen??

Gruß Helmut
1.5 aufwärts ;)
 

wodi

Aktives Mitglied
Mitglied seit
13 Sep 2006
Beiträge
845
Punkte für Reaktionen
0
Punkte
0
Sorry, dass ich mit Java nicht so richtig auskenne ;)

Ich habe Win XP und unter installierte Programme finde ich:

  • JRE 1.4.2 (offensichtlich nicht ausreichend)
  • J2SE Runtime Environment 5.0 Update 6
5.0 ist größer al. 1.5 - aber die Versionsunterschiede sind schon heftig.

Muss, bzw. sollte ich mir die 1.5 noch installieren?

ciao & merci
Dieter
 
Zuletzt bearbeitet:

Speedfreak I

Mitglied
Mitglied seit
17 Sep 2006
Beiträge
215
Punkte für Reaktionen
0
Punkte
0
In der Systemsteuerung findest du einen Punkt "Java" -> doppelklicken -> dann aud den Reiter "Aktualisierung" und dann auf "jetzt aktualisieren" klicken. Das sollte reichen. ;)
 

wodi

Aktives Mitglied
Mitglied seit
13 Sep 2006
Beiträge
845
Punkte für Reaktionen
0
Punkte
0
Ok nun habe ich J2SE Runtime Environment 5.0 Update 9 drauf.

Aber was haben die V1.5 mit der V5.0 Update 9 gemein oder nicht gemein?

Hat die reine Runtime eine andere Versionierung, als die Runtime des Development Kits?

ciao & merci
Dieter
 

EddieTheEagle

Neuer User
Mitglied seit
20 Mrz 2006
Beiträge
83
Punkte für Reaktionen
0
Punkte
6
Hi.

meine Rückwärtssuche funktioniert mit der Version nicht. Hat jemand einen Tipp?

Gruß
Eddie
 

wodi

Aktives Mitglied
Mitglied seit
13 Sep 2006
Beiträge
845
Punkte für Reaktionen
0
Punkte
0
Hi Eddie,

ich wollte dem gerade zustimmen - aber es funktioniert doch. Wenn folgende Bedingungen erfüllt sind, sollte es funktionieren:

  • Die entsprechende Zeile ist markiert (lila hinterlegt) - über Kontextmenü die Rückwärtssuche auswählen - seltsamerweise kann in allen Feldern das Kontextmenü aufgerufen werden, nur nicht im Feld Teilnehmer.
  • Im Telefonbuch befindet sich für die Telefonnummer kein Eintrag / kein leerer Eintrag.
ciao
Dieter
 

EddieTheEagle

Neuer User
Mitglied seit
20 Mrz 2006
Beiträge
83
Punkte für Reaktionen
0
Punkte
6
So, geht jetzt. Habe ein Java Update gemacht, jetzt funktioniert es.

Gruß
Eddie
 

kleinc

Mitglied
Mitglied seit
1 Aug 2005
Beiträge
513
Punkte für Reaktionen
0
Punkte
0
wodi schrieb:
Aber was haben die V1.5 mit der V5.0 Update 9 gemein oder nicht gemein?
J2SE Runtime Environment 5.0 = Java 1.5.
Die Versionierung ist bei Java eine mittlere Katastrophe. :)
 

wodi

Aktives Mitglied
Mitglied seit
13 Sep 2006
Beiträge
845
Punkte für Reaktionen
0
Punkte
0
Ich habe es geahnt;)
 

hotdog67

Neuer User
Mitglied seit
13 Mai 2005
Beiträge
35
Punkte für Reaktionen
0
Punkte
0
Hi,

bei mir startet jfritz 6.2 nicht mehr.
Ich habe Java 1.5.09 aktuell und wenn ich jfritz starten will passiert gar nichts.

Mit jfritz 6.1.klappt der Start aber die Anrufsignalisierung mit meiner 7170 29.04.22 klappt nicht
 

Zurzeit aktive Besucher

3CX PBX - GRATIS
Linux / Win / Cloud

Statistik des Forums

Themen
232,901
Beiträge
2,027,917
Mitglieder
351,033
Neuestes Mitglied
thburkhart